All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.net.connect
Class RemoteObject

    com.sas.net.connect.RemoteObject

    public class RemoteObject

RemoteObject

This class contains tools that can be used to make method calls on remote SCL objects.

USAGE:

1. Instantiate the remote object from a ConnectClient object.

        RemoteObject mySclObject = connectClient.createRemoteInstance("SASLIB.SASCAT.MY_OBJ");

2. Clear/Initialize the parameter list for a method call

        mySclObject.clearArguments();

3. Add the arguments for a method call

        mySclObject.add***Argument(arg1,RemoteObject.Output);
        mySclObject.add***Argument(arg2,RemoteObject.Input);

4. Invoke the method

        mySclObject.invokeRemoteMethod("myMethodName");

5. Fetch the updated values of the update and output arguments. Calls to get***Argument must be in the same order as the corresponding add***Argument() calls.

        arg1 = mySclObject.get***Argument();

6. Destroy the remote instance

        mySclObject.destroy();

NOTES:

- All references to HLists and arrays that are passed in as update or output arguments to a method call are automatically updated during the call to invokeRemoteMethod. Therefore, it is not vital to call get***Argument() to get an updated reference. However, it is still the case that the calls to get***Argument() must come in the same order as the calls to add***Argument();
- Immutable type (e.g. double, String) can be added to a method call as update and output arguments. However, get***Argument() must be called after invokeRemoteMethod() in order to obtain the updated value.

Field Summary
`static int` | `Input`
`static int` | `Output`
`int` | `SASV8`
`static int` | `typBoolean`
`static int` | `typBooleanArray`
`static int` | `typBooleanArray2D`
`static int` | `typByte`
`static int` | `typByteArray`
`static int` | `typByteArray2D`
`static int` | `typChar`
`static int` | `typCharArray`
`static int` | `typCharArray2D`
`static int` | `typDouble`
`static int` | `typDoubleArray`
`static int` | `typDoubleArray2D`
`static int` | `typFloat`
`static int` | `typFloatArray`
`static int` | `typFloatArray2D`
`static int` | `typInt`
`static int` | `typIntArray`
`static int` | `typIntArray2D`
`static int` | `typList`
`static int` | `typLong`
`static int` | `typLongArray`
`static int` | `typLongArray2D`
`static int` | `typMissing`
`static int` | `typShort`
`static int` | `typShortArray`
`static int` | `typShortArray2D`
`static int` | `typString`
`static int` | `typStringArray`
`static int` | `typStringArray2D`
`static int` | `Update`

Constructor Summary
`` | `RemoteObject(ConnectClient client, java.lang.Double handle)` Create a proxy for a pre-existing remote object.
`protected` | `RemoteObject(ConnectClient client, java.lang.String name, java.lang.Double handle)` Creates an instance of RemoteObject for a given Remote SCL Object

Method Summary
`void` | `addBooleanArgument(boolean number, int attrib)` Adds a boolean argument to the list of parameters for the next remote method invocation.
`void` | `addBooleanArray2DArgument(boolean[][] number, int attrib)` Adds an boolean two dimensions array argument to the list of parameters for the next remote method invocation.
`void` | `addBooleanArrayArgument(boolean[] number, int attrib)` Adds a boolean array argument to the list of parameters for the next remote method invocation.
`void` | `addByteArgument(byte number, int attrib)` Adds a byte argument to the list of parameters for the next remote method invocation.
`void` | `addByteArray2DArgument(byte[][] number, int attrib)` Adds a byte two dimensions array argument to the list of parameters for the next remote method invocation.
`void` | `addByteArrayArgument(byte[] number, int attrib)` Adds a byte array argument to the list of parameters for the next remote method invocation.
`void` | `addCharacterArgument(java.lang.String string, int attrib)` Adds a character string argument to the list of parameters for the next remote method invocation.
`void` | `addCharacterArray2DArgument(java.lang.String[][] string, int attrib)` Adds a character string array2D argument to the list of parameters for the next remote method invocation.
`void` | `addCharacterArrayArgument(java.lang.String[] string, int attrib)` Adds a character string array argument to the list of parameters for the next remote method invocation.
`void` | `addCharArgument(char number, int attrib)` Adds a char argument to the list of parameters for the next remote method invocation.
`void` | `addCharArray2DArgument(char[][] number, int attrib)` Adds a character string two dimensions array argument to the list of parameters for the next remote method invocation.
`void` | `addCharArrayArgument(char[] number, int attrib)` Adds a char array argument to the list of parameters for the next remote method invocation.
`void` | `addDoubleArgument(double number, int attrib)` Adds a double argument to the list of parameters for the next remote method invocation.
`void` | `addDoubleArray2DArgument(double[][] number, int attrib)` Adds an double two dimensions array argument to the list of parameters for the next remote method invocation.
`void` | `addDoubleArrayArgument(double[] number, int attrib)` Adds a double array argument to the list of parameters for the next remote method invocation.
`void` | `addFloatArgument(float number, int attrib)` Adds a float argument to the list of parameters for the next remote method invocation.
`void` | `addFloatArray2DArgument(float[][] number, int attrib)` Adds a float two dimensions array argument to the list of parameters for the next remote method invocation.
`void` | `addFloatArrayArgument(float[] number, int attrib)` Adds a float array argument to the list of parameters for the next remote method invocation.
`void` | `addIntArgument(int number, int attrib)` Adds an int argument to the list of parameters for the next remote method invocation.
`void` | `addIntArray2DArgument(int[][] number, int attrib)` Adds a int two dimensions array argument to the list of parameters for the next remote method invocation.
`void` | `addIntArrayArgument(int[] number, int attrib)` Adds an int array argument to the list of parameters for the next remote method invocation.
`void` | `addListArgument(com.sas.collection.hlist.HListInterface hList, int attrib)` Adds an HList argument to the list of parameters for the next remote method invocation.
`void` | `addLongArgument(long number, int attrib)` Adds a long argument to the list of parameters for the next remote method invocation.
`void` | `addLongArray2DArgument(long[][] number, int attrib)` Adds a long two dimensions array argument to the list of parameters for the next remote method invocation.
`void` | `addLongArrayArgument(long[] number, int attrib)` Adds a long array argument to the list of parameters for the next remote method invocation.
`void` | `addMissingArgument(com.sas.MissingValues value, int attrib)` Adds a missing value argument to the list of parameters for the next remote method invocation.
`void` | `addNumberArgument(double number, int attrib)` Adds a Number argument to the list of parameters for the next remote method invocation.
`void` | `addNumberArrayArgument(double[] number, int attrib)` Adds a Number array argument to the list of parameters for the next remote method invocation.
`void` | `addShortArgument(short number, int attrib)` Adds a short argument to the list of parameters for the next remote method invocation.
`void` | `addShortArray2DArgument(short[][] number, int attrib)` Adds a short two dimensions array argument to the list of parameters for the next remote method invocation.
`void` | `addShortArrayArgument(short[] number, int attrib)` Adds a short array argument to the list of parameters for the next remote method invocation.
`void` | `addStringArgument(java.lang.String string, int attrib)` Adds a String argument to the list of parameters for the next remote method invocation.
`void` | `addStringArray2DArgument(java.lang.String[][] string, int attrib)` Adds a two dimensions character string array argument to the list of parameters for the next remote method invocation.
`void` | `addStringArrayArgument(java.lang.String[] string, int attrib)` Adds a character string array argument to the list of parameters for the next remote method invocation.
`void` | `clearArguments()` Clears out the arguments from the last method call.
`void` | `destroy()` Destroys the remote SCL object on the server
`protected void` | `finalize()`
`protected int` | `getArgumentCount()` Returns the argument count for the pending remote method invocation
`protected com.sas.collection.hlist.HListInterface` | `getArguments()` Returns the arguments for the pending remote method invocation.
`protected int` | `getAttributeCount()` Returns the attribute count for the pending remote method invocation.
`protected java.util.Vector` | `getAttributes()` Returns the argument attributes for the pending remote method invocation.
`boolean` | `getBooleanArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`boolean[][]` | `getBooleanArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`boolean[]` | `getBooleanArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`byte` | `getByteArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`byte[][]` | `getByteArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`byte[]` | `getByteArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`java.lang.String` | `getCharacterArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`java.lang.String[]` | `getCharacterArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`char` | `getCharArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`char[][]` | `getCharArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`char[]` | `getCharArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`double` | `getDoubleArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`double[][]` | `getDoubleArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`double[]` | `getDoubleArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`float` | `getFloatArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`float[][]` | `getFloatArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`float[]` | `getFloatArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`java.lang.Double` | `getHandle()` Returns the handle of the remote SCL object
`int` | `getIntArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`int[][]` | `getIntArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`int[]` | `getIntArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`com.sas.collection.hlist.HListInterface` | `getListArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`long` | `getLongArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`long[][]` | `getLongArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`long[]` | `getLongArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`com.sas.MissingValues` | `getMissingArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`protected java.lang.String` | `getName()` Returns the name of the remote SCL class
`double` | `getNumberArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`double[]` | `getNumberArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`short` | `getShortArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`short[][]` | `getShortArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`short[]` | `getShortArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`java.lang.String` | `getStringArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`java.lang.String[][]` | `getStringArray2DArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`java.lang.String[]` | `getStringArrayArgument()` Gets the value of the next updated Update or Output parameter after a method invocation.
`void` | `invokeRemoteMethod(java.lang.String methodName)` Calls a method on the remote SCL object with the parameters that have been added previously
`boolean` | `isOwner()`
`protected void` | `setArguments(com.sas.collection.hlist.HListInterface returnArgs)` Sets the list of updated Update and Output parameters

Field Detail

### typDouble

    public static final int typDouble

See Also:
  Constant Field Values

### typFloat

    public static final int typFloat

See Also:
  Constant Field Values

### typLong

    public static final int typLong

See Also:
  Constant Field Values

### typInt

    public static final int typInt

See Also:
  Constant Field Values

### typString

    public static final int typString

See Also:
  Constant Field Values

### typMissing

    public static final int typMissing

See Also:
  Constant Field Values

### typList

    public static final int typList

See Also:
  Constant Field Values

### typDoubleArray

    public static final int typDoubleArray

See Also:
  Constant Field Values

### typFloatArray

    public static final int typFloatArray

See Also:
  Constant Field Values

### typLongArray

    public static final int typLongArray

See Also:
  Constant Field Values

### typIntArray

    public static final int typIntArray

See Also:
  Constant Field Values

### typStringArray

    public static final int typStringArray

See Also:
  Constant Field Values

### typShortArray

    public static final int typShortArray

See Also:
  Constant Field Values

### typCharArray

    public static final int typCharArray

See Also:
  Constant Field Values

### typByteArray

    public static final int typByteArray

See Also:
  Constant Field Values

### typBooleanArray

    public static final int typBooleanArray

See Also:
  Constant Field Values

### typShort

    public static final int typShort

See Also:
  Constant Field Values

### typChar

    public static final int typChar

See Also:
  Constant Field Values

### typByte

    public static final int typByte

See Also:
  Constant Field Values

### typBoolean

    public static final int typBoolean

See Also:
  Constant Field Values

### typDoubleArray2D

    public static final int typDoubleArray2D

See Also:
  Constant Field Values

### typFloatArray2D

    public static final int typFloatArray2D

See Also:
  Constant Field Values

### typLongArray2D

    public static final int typLongArray2D

See Also:
  Constant Field Values

### typIntArray2D

    public static final int typIntArray2D

See Also:
  Constant Field Values

### typStringArray2D

    public static final int typStringArray2D

See Also:
  Constant Field Values

### typShortArray2D

    public static final int typShortArray2D

See Also:
  Constant Field Values

### typCharArray2D

    public static final int typCharArray2D

See Also:
  Constant Field Values

### typByteArray2D

    public static final int typByteArray2D

See Also:
  Constant Field Values

### typBooleanArray2D

    public static final int typBooleanArray2D

See Also:
  Constant Field Values

### Input

    public static final int Input

See Also:
  Constant Field Values

### Update

    public static final int Update

See Also:
  Constant Field Values

### Output

    public static final int Output

See Also:
  Constant Field Values

### SASV8

    public int SASV8

Constructor Detail

### RemoteObject

    public RemoteObject(ConnectClient client,
                        java.lang.Double handle)
                 throws ConnectException

  Create a proxy for a pre-existing remote object. The remote object will not be destroyed when the proxy is destroyed.

  Parameters:
    `client` - the client handling the connection to the remote SAS session
    `handle` - the handle for the pre-existing remote object
  Throws:
    `ConnectException` - if the RemoteObjectExtension isn't installed

### RemoteObject

    protected RemoteObject(ConnectClient client,
                           java.lang.String name,
                           java.lang.Double handle)
                    throws ConnectException

  Creates an instance of RemoteObject for a given Remote SCL Object

  Parameters:
    `client` - The client connected to the SAS/CONNECT server on the machine that holds the remote SCL object
    `name` - The name of the remote SCL class
    `handle` - The handle assigned the remote SCL object when it was created on the server.
  Throws:
    `ConnectException` - if the RemoteObjectExtension isn't installed

Method Detail

### clearArguments

    public void clearArguments()

  Clears out the arguments from the last method call. Must be called before each set of add*Argument() calls.

### addNumberArgument

    public void addNumberArgument(double number,
                                  int attrib)
                           throws ConnectException

  Adds a Number argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addDoubleArgument

    public void addDoubleArgument(double number,
                                  int attrib)
                           throws ConnectException

  Adds a double argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException`

### addFloatArgument

    public void addFloatArgument(float number,
                                 int attrib)
                          throws ConnectException

  Adds a float argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addLongArgument

    public void addLongArgument(long number,
                                int attrib)
                         throws ConnectException

  Adds a long argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addIntArgument

    public void addIntArgument(int number,
                               int attrib)
                        throws ConnectException

  Adds an int argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addShortArgument

    public void addShortArgument(short number,
                                 int attrib)
                          throws ConnectException

  Adds a short argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addCharArgument

    public void addCharArgument(char number,
                                int attrib)
                         throws ConnectException

  Adds a char argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addByteArgument

    public void addByteArgument(byte number,
                                int attrib)
                         throws ConnectException

  Adds a byte argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addBooleanArgument

    public void addBooleanArgument(boolean number,
                                   int attrib)
                            throws ConnectException

  Adds a boolean argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addMissingArgument

    public void addMissingArgument(com.sas.MissingValues value,
                                   int attrib)
                            throws ConnectException

  Adds a missing value argument to the list of parameters for the next remote method invocation.

  Parameters:
    `value` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addCharacterArgument

    public void addCharacterArgument(java.lang.String string,
                                     int attrib)
                              throws ConnectException

  Adds a character string argument to the list of parameters for the next remote method invocation.

  Parameters:
    `string` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addStringArgument

    public void addStringArgument(java.lang.String string,
                                  int attrib)
                           throws ConnectException

  Adds a String argument to the list of parameters for the next remote method invocation.

  Parameters:
    `string` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addNumberArrayArgument

    public void addNumberArrayArgument(double[] number,
                                       int attrib)
                                throws ConnectException

  Adds a Number array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addDoubleArrayArgument

    public void addDoubleArrayArgument(double[] number,
                                       int attrib)
                                throws ConnectException

  Adds a double array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addFloatArrayArgument

    public void addFloatArrayArgument(float[] number,
                                      int attrib)
                               throws ConnectException

  Adds a float array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addLongArrayArgument

    public void addLongArrayArgument(long[] number,
                                     int attrib)
                              throws ConnectException

  Adds a long array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addIntArrayArgument

    public void addIntArrayArgument(int[] number,
                                    int attrib)
                             throws ConnectException

  Adds an int array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addShortArrayArgument

    public void addShortArrayArgument(short[] number,
                                      int attrib)
                               throws ConnectException

  Adds a short array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addCharArrayArgument

    public void addCharArrayArgument(char[] number,
                                     int attrib)
                              throws ConnectException

  Adds a char array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addByteArrayArgument

    public void addByteArrayArgument(byte[] number,
                                     int attrib)
                              throws ConnectException

  Adds a byte array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addBooleanArrayArgument

    public void addBooleanArrayArgument(boolean[] number,
                                        int attrib)
                                 throws ConnectException

  Adds a boolean array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `number` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addCharacterArrayArgument

    public void addCharacterArrayArgument(java.lang.String[] string,
                                          int attrib)
                                   throws ConnectException

  Adds a character string array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `string` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addStringArrayArgument

    public void addStringArrayArgument(java.lang.String[] string,
                                       int attrib)
                                throws ConnectException

  Adds a character string array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `string` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addListArgument

    public void addListArgument(com.sas.collection.hlist.HListInterface hList,
                                int attrib)
                         throws ConnectException

  Adds an HList argument to the list of parameters for the next remote method invocation.

  Parameters:
    `hList` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addDoubleArray2DArgument

    public void addDoubleArray2DArgument(double[][] number,
                                         int attrib)
                                  throws ConnectException

  Adds an double two dimensions array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimensions double array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addFloatArray2DArgument

    public void addFloatArray2DArgument(float[][] number,
                                        int attrib)
                                 throws ConnectException

  Adds a float two dimensions array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimensions float array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addLongArray2DArgument

    public void addLongArray2DArgument(long[][] number,
                                       int attrib)
                                throws ConnectException

  Adds a long two dimensions array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimensions long array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addIntArray2DArgument

    public void addIntArray2DArgument(int[][] number,
                                      int attrib)
                               throws ConnectException

  Adds a int two dimensions array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimensions int array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addShortArray2DArgument

    public void addShortArray2DArgument(short[][] number,
                                        int attrib)
                                 throws ConnectException

  Adds a short two dimensions array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimensions short array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addCharArray2DArgument

    public void addCharArray2DArgument(char[][] number,
                                       int attrib)
                                throws ConnectException

  Adds a character string two dimensions array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimensions character string array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addByteArray2DArgument

    public void addByteArray2DArgument(byte[][] number,
                                       int attrib)
                                throws ConnectException

  Adds a byte two dimensions array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimensions byte array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addBooleanArray2DArgument

    public void addBooleanArray2DArgument(boolean[][] number,
                                          int attrib)
                                   throws ConnectException

  Adds an boolean two dimensions array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimensions boolean array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addStringArray2DArgument

    public void addStringArray2DArgument(java.lang.String[][] string,
                                         int attrib)
                                  throws ConnectException

  Adds a two dimensions character string array argument to the list of parameters for the next remote method invocation.

  Parameters:
    `two` - dimension string array argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### addCharacterArray2DArgument

    public void addCharacterArray2DArgument(java.lang.String[][] string,
                                            int attrib)
                                     throws ConnectException

  Adds a character string array2D argument to the list of parameters for the next remote method invocation.

  Parameters:
    `string` - the argument
    `attrib` - RemoteObject.Input, RemoteObject.Output, or RemoteObject.Update
  Throws:
    `ConnectException` - if clearArguments has not been called or the attribute flag is invalid

### invokeRemoteMethod

    public void invokeRemoteMethod(java.lang.String methodName)
                            throws ConnectException

  Calls a method on the remote SCL object with the parameters that have been added previously

  Parameters:
    `methodName` - the name of the method to invoke
  Throws:
    `ConnectException` - if there is an error invoking the remote SCL method

### getNumberArgument

    public double getNumberArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    double the value of the next parameter

### getDoubleArgument

    public double getDoubleArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    double the value of the next parameter

### getFloatArgument

    public float getFloatArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    float the value of the next parameter

### getLongArgument

    public long getLongArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    long the value of the next parameter

### getIntArgument

    public int getIntArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    int the value of the next parameter

### getShortArgument

    public short getShortArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    short the value of the next parameter

### getCharArgument

    public char getCharArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    char the value of the next parameter

### getByteArgument

    public byte getByteArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    byte the value of the next parameter

### getBooleanArgument

    public boolean getBooleanArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    boolean the value of the next parameter

### getMissingArgument

    public com.sas.MissingValues getMissingArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    MissingValues the value of the next parameter

### getCharacterArgument

    public java.lang.String getCharacterArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    String the value of the next parameter

### getStringArgument

    public java.lang.String getStringArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    String the value of the next parameter

### getNumberArrayArgument

    public double[] getNumberArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    double[] the value of the next parameter

### getDoubleArrayArgument

    public double[] getDoubleArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    double[] the value of the next parameter

### getFloatArrayArgument

    public float[] getFloatArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    float[] the value of the next parameter

### getLongArrayArgument

    public long[] getLongArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    long[] the value of the next parameter

### getIntArrayArgument

    public int[] getIntArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    int[] the value of the next parameter

### getShortArrayArgument

    public short[] getShortArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    short[] the value of the next parameter

### getCharArrayArgument

    public char[] getCharArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    char[] the value of the next parameter

### getByteArrayArgument

    public byte[] getByteArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    byte[] the value of the next parameter

### getBooleanArrayArgument

    public boolean[] getBooleanArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    boolean[] the value of the next parameter

### getCharacterArrayArgument

    public java.lang.String[] getCharacterArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    String[] the value of the next parameter

### getStringArrayArgument

    public java.lang.String[] getStringArrayArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    String[] the value of the next parameter

### getListArgument

    public com.sas.collection.hlist.HListInterface getListArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    the value of the next parameter

### getDoubleArray2DArgument

    public double[][] getDoubleArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    double[][] the value of the next parameter

### getFloatArray2DArgument

    public float[][] getFloatArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    float[][] the value of the next parameter

### getLongArray2DArgument

    public long[][] getLongArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    long[][] the value of the next parameter

### getIntArray2DArgument

    public int[][] getIntArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    int[][] the value of the next parameter

### getShortArray2DArgument

    public short[][] getShortArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    short[][] the value of the next parameter

### getCharArray2DArgument

    public char[][] getCharArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    char[][] the value of the next parameter

### getByteArray2DArgument

    public byte[][] getByteArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    byte[][] the value of the next parameter

### getBooleanArray2DArgument

    public boolean[][] getBooleanArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    boolean[][] the value of the next parameter

### getStringArray2DArgument

    public java.lang.String[][] getStringArray2DArgument()

  Gets the value of the next updated Update or Output parameter after a method invocation.

  Returns:
    String[][] the value of the next parameter

### destroy

    public void destroy()
                 throws ConnectException

  Destroys the remote SCL object on the server

  Throws:
    `if` - there is an error while destroying the remote SCL object
    `ConnectException`

### getHandle

    public java.lang.Double getHandle()

  Returns the handle of the remote SCL object

  Returns:
    the handle of the remote SCL object

### isOwner

    public boolean isOwner()

### getName

    protected java.lang.String getName()

  Returns the name of the remote SCL class

  Returns:
    the name of the remote SCL class

### getAttributeCount

    protected int getAttributeCount()

  Returns the attribute count for the pending remote method invocation.

  Returns:
    the attribute count for the pending remote method invocation.

### getAttributes

    protected java.util.Vector getAttributes()

  Returns the argument attributes for the pending remote method invocation.

  Returns:
    the argument attributes for the pending remote method invocation.

### getArguments

    protected com.sas.collection.hlist.HListInterface getArguments()

  Returns the arguments for the pending remote method invocation.

  Returns:
    the arguments for the pending remote method invocation.

### getArgumentCount

    protected int getArgumentCount()

  Returns the argument count for the pending remote method invocation

  Returns:
    the argument count for the pending remote method invocation

### setArguments

    protected void setArguments(com.sas.collection.hlist.HListInterface returnArgs)

  Sets the list of updated Update and Output parameters

  Parameters:
    `returnArgs` - the list of updated Update and Output parameters

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.